#
# spec file for package python-ordered-namespace
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-ordered-namespace
Version:        2017.11.25
Release:        lp151.2.1
Summary:        Python namespace class
License:        MIT
Group:          Development/Languages/Python
Url:            https://github.com/who8mylunch/OrderedNamespace
Source:         https://files.pythonhosted.org/packages/source/o/ordered-namespace/ordered_namespace-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch

%python_subpackages

%description
A Python namespace class derived from OrderedDict,
including tab-completion

%prep
%setup -q -n ordered_namespace-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%files %{python_files}
%doc README.md
%{python_sitelib}/*

%changelog
* Tue Dec  4 2018 Matej Cepl <mcepl@suse.com>
- Remove superfluous devel dependency for noarch package
* Fri May 18 2018 jengelh@inai.de
- Trim bias from descriptions.
* Sat Apr 28 2018 toddrme2178@gmail.com
- Initial version
